| Kea 3.0.2-git

isc::radius::RadiusAuthPendingRequest< PktPtrType > Class Template Reference

Class of pending Radius access request. More...

`#include <radius_access.h>`

## Public Member Functions
| RadiusAuthPendingRequest (PktPtrType query)
| Constructor.

## Public Attributes
PktPtrType | query_
| The query which triggered the access request.

## Detailed Description

template<class PktPtrType>
class isc::radius::RadiusAuthPendingRequest< PktPtrType >

Class of pending Radius access request.

Template Parameters

  PktPtrType | Either Pkt4Ptr or Pkt6Ptr.

Definition at line 25 of file radius_access.h.

## Constructor & Destructor Documentation

## ◆ RadiusAuthPendingRequest()

template<class PktPtrType>

isc::radius::RadiusAuthPendingRequest< PktPtrType >::RadiusAuthPendingRequest | ( | PktPtrType | query | ) |
| inline

Constructor.

Parameters

  query | The query which triggered the access request.

Definition at line 31 of file radius_access.h.

References query_.

## Member Data Documentation

## ◆ query_

template<class PktPtrType>

PktPtrType isc::radius::RadiusAuthPendingRequest< PktPtrType >::query_

The query which triggered the access request.

Definition at line 34 of file radius_access.h.

Referenced by RadiusAuthPendingRequest().

The documentation for this class was generated from the following file:

- radius_access.h